![]() |
API Documentation
|
POST - used to disable or (re-)enable one or more Secure Objects.This API endpoint disables or (re-)enables one or more Secure Objects.
It is also possible to disable or (re-)enable a single Secure Object by calling the <access-service>/api/v1/organisations/{orgGroupId}/objects/{objectId}/enable API endpoint.
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator's Guide):
The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the header of requests to this endpoint.
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6 Bearer token is the appropriate access token.Content-Type: application/jsonThe following required parameter must be sent in the URL of the POST request:
action - enable or disable.
Example:
The following optional parameter can be sent in the body of the POST request, as an individual member of a JSON object:
ids - An array of one or more Secure Object IDs.
Example ():
Although omitting the ids parameter above in a request serves no purpose, an empty JSON object must at least be passed in the body of POST requests to this endpoint for a successful response:
{}If the request succeeded, then an HTTP response status 200 OK is returned.